List watchlist profiles.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/watchlist/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/watchlist/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/watchlist/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/watchlist/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/watchlist/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/watchlist/profiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/watchlist/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Targeting and tracking
List watchlist profiles.
GET
/
customer
/
watchlist
/
profiles
List watchlist profiles.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/watchlist/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/watchlist/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/watchlist/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/watchlist/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/watchlist/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/watchlist/profiles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/watchlist/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Authorizations
API key created from Integrations > API & MCP > API keys. Used for Customer REST and Ordinal Audience Analytics, not MCP OAuth.
Query Parameters
Number of items to return. The default is 50 and the maximum is 100.
Required range:
1 <= x <= 100Opaque cursor returned in page.nextCursor. Pass it unchanged with the same filters and sort. Incompatible cursors return validation_failed.
Maximum string length:
256Available options:
TEAMMATE, COMPETITOR, INFLUENCER, INVESTOR, CUSTOM, TARGET_ACCOUNT, CUSTOMER, PARTNER Comma-separated profile types. Accepts up to five values.
Available options:
MEMBER_ONBOARDING, MANUAL_WATCHLIST Available options:
SELF, STANDARD, COMPETITOR Required string length:
1 - 80Available options:
ACTIVE, PAUSED Required string length:
1 - 160Available options:
createdAt, followers, lastEngagementSyncAt, displayName Available options:
asc, desc Was this page helpful?